ID CVE-2016-7545
Summary SELinux policycoreutils allows local users to execute arbitrary commands outside of the sandbox via a crafted TIOCSTI ioctl call.
References
Vulnerable Configurations
  • cpe:2.3:a:selinux_project:selinux
    cpe:2.3:a:selinux_project:selinux
  • Fedora 25
    cpe:2.3:o:fedoraproject:fedora:25
  • Red Hat Enterprise Linux Desktop 6.0
    cpe:2.3:o:redhat:enterprise_linux_desktop:6.0
  • RedHat Enterprise Linux Desktop 7.0
    cpe:2.3:o:redhat:enterprise_linux_desktop:7.0
  • RedHat Enterprise Linux HPC Node 6.0
    cpe:2.3:o:redhat:enterprise_linux_hpc_node:6.0
  • RedHat Enterprise Linux HPC Node 7.0
    cpe:2.3:o:redhat:enterprise_linux_hpc_node:7.0
  • Red Hat Enterprise Linux Server 6.0
    cpe:2.3:o:redhat:enterprise_linux_server:6.0
  • RedHat Enterprise Linux Server 7.0
    cpe:2.3:o:redhat:enterprise_linux_server:7.0
  • cpe:2.3:o:redhat:enterprise_linux_server_tus:7.3
    cpe:2.3:o:redhat:enterprise_linux_server_tus:7.3
  • Red Hat Enterprise Linux Workstation 6.0
    cpe:2.3:o:redhat:enterprise_linux_workstation:6.0
  • RedHat Enterprise Linux Workstation 7.0
    cpe:2.3:o:redhat:enterprise_linux_workstation:7.0
CVSS
Base: 7.2 (as of 20-01-2017 - 11:19)
Impact:
Exploitability:
CWE CWE-284
CAPEC
  • Embedding Scripts within Scripts
    An attack of this type exploits a programs' vulnerabilities that are brought on by allowing remote hosts to execute scripts. The attacker leverages this capability to execute scripts to execute his/her own script by embedding it within other scripts that the target software is likely to execute. The attacker must have the ability to inject script into script that is likely to be executed. If this is done, then the attacker can potentially launch a variety of probes and attacks against the web server's local environment, in many cases the so-called DMZ, back end resources the web server can communicate with, and other hosts. With the proliferation of intermediaries, such as Web App Firewalls, network devices, and even printers having JVMs and Web servers, there are many locales where an attacker can inject malicious scripts. Since this attack pattern defines scripts within scripts, there are likely privileges to execute said attack on the host. Of course, these attacks are not solely limited to the server side, client side scripts like Ajax and client side JavaScript can contain malicious scripts as well. In general all that is required is for there to be sufficient privileges to execute a script, but not protected against writing.
  • Signature Spoofing by Key Theft
    An attacker obtains an authoritative or reputable signer's private signature key by theft and then uses this key to forge signatures from the original signer to mislead a victim into performing actions that benefit the attacker.
Access
VectorComplexityAuthentication
LOCAL LOW NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
nessus via4
  • NASL family SuSE Local Security Checks
    NASL id SUSE_SU-2017-0340-1.NASL
    description This update for policycoreutils fixes the following issues : - CVE-2016-7545: nonpriv session can escape to parent [bsc#1000998] Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-11-30
    plugin id 96925
    published 2017-02-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=96925
    title SUSE SLES12 Security Update : policycoreutils (SUSE-SU-2017:0340-1)
  • NASL family Red Hat Local Security Checks
    NASL id REDHAT-RHSA-2016-2702.NASL
    description An update for policycoreutils is now available for Red Hat Enterprise Linux 6 and Red Hat Enterprise Linux 7. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section. The policycoreutils packages contain the core policy utilities required to manage a SELinux environment. Security Fix(es) : * It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545)
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 94896
    published 2016-11-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94896
    title RHEL 6 / 7 : policycoreutils (RHSA-2016:2702)
  • NASL family Oracle Linux Local Security Checks
    NASL id ORACLELINUX_ELSA-2016-2702.NASL
    description From Red Hat Security Advisory 2016:2702 : An update for policycoreutils is now available for Red Hat Enterprise Linux 6 and Red Hat Enterprise Linux 7. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section. The policycoreutils packages contain the core policy utilities required to manage a SELinux environment. Security Fix(es) : * It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545)
    last seen 2019-02-21
    modified 2018-07-24
    plugin id 94895
    published 2016-11-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94895
    title Oracle Linux 6 / 7 : policycoreutils (ELSA-2016-2702)
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2016-B7E8E980EF.NASL
    description This update backports several fixes from upstream and also fixes sandbox issues including CVE-2016-7545 Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2017-01-23
    plugin id 94854
    published 2016-11-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94854
    title Fedora 25 : checkpolicy / libselinux / libsemanage / libsepol / policycoreutils / etc (2016-b7e8e980ef)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_SU-2017-0339-1.NASL
    description This update for policycoreutils fixes the following issues : - CVE-2016-7545: nonpriv session can escape to parent [bsc#1000998] Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-11-30
    plugin id 96924
    published 2017-02-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=96924
    title SUSE SLES11 Security Update : policycoreutils (SUSE-SU-2017:0339-1)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_SU-2017-0338-1.NASL
    description This update for policycoreutils fixes the following issues : - CVE-2016-7545: nonpriv session can escape to parent [bsc#1000998] Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-11-30
    plugin id 96923
    published 2017-02-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=96923
    title SUSE SLES12 Security Update : policycoreutils (SUSE-SU-2017:0338-1)
  • NASL family Amazon Linux Local Security Checks
    NASL id ALA_ALAS-2016-765.NASL
    description It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent bash, escaping the sandbox.
    last seen 2019-02-21
    modified 2018-04-18
    plugin id 94685
    published 2016-11-11
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94685
    title Amazon Linux AMI : policycoreutils (ALAS-2016-765)
  • NASL family Red Hat Local Security Checks
    NASL id REDHAT-RHSA-2017-0535.NASL
    description An update for policycoreutils is now available for Red Hat Enterprise Linux 7.2 Extended Update Support. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section. The policycoreutils packages contain the core policy utilities required to manage a SELinux environment. Security Fix(es) : * It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545)
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 97768
    published 2017-03-16
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=97768
    title RHEL 7 : policycoreutils (RHSA-2017:0535)
  • NASL family Red Hat Local Security Checks
    NASL id REDHAT-RHSA-2017-0536.NASL
    description An update for policycoreutils is now available for Red Hat Enterprise Linux 7.1 Extended Update Support. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section. The policycoreutils packages contain the core policy utilities required to manage a SELinux environment. Security Fix(es) : * It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545)
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 97769
    published 2017-03-16
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=97769
    title RHEL 7 : policycoreutils (RHSA-2017:0536)
  • NASL family Debian Local Security Checks
    NASL id DEBIAN_DLA-638.NASL
    description It was discovered that there was a sandbox escape via the 'TIOCSTI' ioctl in policycoreutils, a set of programs required for the basic operation of an SELinux-based system. For Debian 7 'Wheezy', this issue has been fixed in policycoreutils version 2.1.10-9+deb7u1. We recommend that you upgrade your policycoreutils packages. NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-07-09
    plugin id 93691
    published 2016-09-26
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=93691
    title Debian DLA-638-1 : policycoreutils security update
  • NASL family CentOS Local Security Checks
    NASL id CENTOS_RHSA-2016-2702.NASL
    description An update for policycoreutils is now available for Red Hat Enterprise Linux 6 and Red Hat Enterprise Linux 7. Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section. The policycoreutils packages contain the core policy utilities required to manage a SELinux environment. Security Fix(es) : * It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545)
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 94978
    published 2016-11-21
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94978
    title CentOS 6 / 7 : policycoreutils (CESA-2016:2702)
  • NASL family Huawei Local Security Checks
    NASL id EULEROS_SA-2016-1083.NASL
    description According to the version of the policycoreutils packages installed, the EulerOS installation on the remote host is affected by the following vulnerability : - It was found that the sandbox tool provided in policycoreutils was vulnerable to a TIOCSTI ioctl attack. A specially crafted program executed via the sandbox command could use this flaw to execute arbitrary commands in the context of the parent shell, escaping the sandbox. (CVE-2016-7545) Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-11-14
    plugin id 99842
    published 2017-05-01
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=99842
    title EulerOS 2.0 SP1 : policycoreutils (EulerOS-SA-2016-1083)
  • NASL family OracleVM Local Security Checks
    NASL id ORACLEVM_OVMSA-2016-0157.NASL
    description The remote OracleVM system is missing necessary patches to address critical security updates : - Lazy unmount private, shared entry(Joe Jin)[orabug 12560705] - sandbox: create a new session for sandboxed processes Resolves: (CVE-2016-7545) - Update translations Resolves: rhbz#819794 - Fix sepolgen test cases Resolves: rhbz#1306550 - sandbox: Improve comments in sysconfig file Resolves: rhbz#1159336 - secon, newrole: fix inconsistence between --help and man page Resolves: rhbz#1278811, rhbz#1278913 - restorecond: treat root as a regular user Resolves: rhbz#1281877 - semanage: don't skip reserver_port_t Resolves: rhbz#1225806 - semanage: check if a store exists Resolves: rhbz#1208801 - fixfiles: check the SELinux status Resolves: rhbz#1240788 - semanage: Use OrderedDict for list of fcontexts Resolves: rhbz#1206767
    last seen 2019-02-21
    modified 2018-07-24
    plugin id 94909
    published 2016-11-16
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=94909
    title OracleVM 3.3 / 3.4 : policycoreutils (OVMSA-2016-0157)
redhat via4
advisories
  • bugzilla
    id 1378577
    title CVE-2016-7545 policycoreutils: SELinux sandbox escape via TIOCSTI ioctl
    oval
    OR
    • AND
      • OR
        • comment Red Hat Enterprise Linux 6 Client is installed
          oval oval:com.redhat.rhsa:tst:20100842001
        • comment Red Hat Enterprise Linux 6 Server is installed
          oval oval:com.redhat.rhsa:tst:20100842002
        • comment Red Hat Enterprise Linux 6 Workstation is installed
          oval oval:com.redhat.rhsa:tst:20100842003
        • comment Red Hat Enterprise Linux 6 ComputeNode is installed
          oval oval:com.redhat.rhsa:tst:20100842004
      • OR
        • AND
          • comment policycoreutils is earlier than 0:2.0.83-30.1.el6_8
            oval oval:com.redhat.rhsa:tst:20162702013
          • comment policycoreutils is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414016
        • AND
          • comment policycoreutils-gui is earlier than 0:2.0.83-30.1.el6_8
            oval oval:com.redhat.rhsa:tst:20162702007
          • comment policycoreutils-gui is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414024
        • AND
          • comment policycoreutils-newrole is earlier than 0:2.0.83-30.1.el6_8
            oval oval:com.redhat.rhsa:tst:20162702009
          • comment policycoreutils-newrole is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414018
        • AND
          • comment policycoreutils-python is earlier than 0:2.0.83-30.1.el6_8
            oval oval:com.redhat.rhsa:tst:20162702005
          • comment policycoreutils-python is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414022
        • AND
          • comment policycoreutils-sandbox is earlier than 0:2.0.83-30.1.el6_8
            oval oval:com.redhat.rhsa:tst:20162702011
          • comment policycoreutils-sandbox is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414020
    • AND
      • OR
        • comment Red Hat Enterprise Linux 7 Client is installed
          oval oval:com.redhat.rhsa:tst:20140675001
        • comment Red Hat Enterprise Linux 7 Server is installed
          oval oval:com.redhat.rhsa:tst:20140675002
        • comment Red Hat Enterprise Linux 7 Workstation is installed
          oval oval:com.redhat.rhsa:tst:20140675003
        • comment Red Hat Enterprise Linux 7 ComputeNode is installed
          oval oval:com.redhat.rhsa:tst:20140675004
      • OR
        • AND
          • comment policycoreutils is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702019
          • comment policycoreutils is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414016
        • AND
          • comment policycoreutils-devel is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702023
          • comment policycoreutils-devel is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20162702024
        • AND
          • comment policycoreutils-gui is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702021
          • comment policycoreutils-gui is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414024
        • AND
          • comment policycoreutils-newrole is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702022
          • comment policycoreutils-newrole is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414018
        • AND
          • comment policycoreutils-python is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702025
          • comment policycoreutils-python is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414022
        • AND
          • comment policycoreutils-restorecond is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702026
          • comment policycoreutils-restorecond is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20162702027
        • AND
          • comment policycoreutils-sandbox is earlier than 0:2.5-9.el7
            oval oval:com.redhat.rhsa:tst:20162702020
          • comment policycoreutils-sandbox is signed with Red Hat redhatrelease2 key
            oval oval:com.redhat.rhsa:tst:20110414020
    rhsa
    id RHSA-2016:2702
    released 2016-11-14
    severity Important
    title RHSA-2016:2702: policycoreutils security update (Important)
  • rhsa
    id RHSA-2017:0535
  • rhsa
    id RHSA-2017:0536
rpms
  • policycoreutils-0:2.0.83-30.1.el6_8
  • policycoreutils-gui-0:2.0.83-30.1.el6_8
  • policycoreutils-newrole-0:2.0.83-30.1.el6_8
  • policycoreutils-python-0:2.0.83-30.1.el6_8
  • policycoreutils-sandbox-0:2.0.83-30.1.el6_8
  • policycoreutils-0:2.5-9.el7
  • policycoreutils-devel-0:2.5-9.el7
  • policycoreutils-gui-0:2.5-9.el7
  • policycoreutils-newrole-0:2.5-9.el7
  • policycoreutils-python-0:2.5-9.el7
  • policycoreutils-restorecond-0:2.5-9.el7
  • policycoreutils-sandbox-0:2.5-9.el7
refmap via4
bid 93156
confirm https://github.com/SELinuxProject/selinux/commit/acca96a135a4d2a028ba9b636886af99c0915379
fedora FEDORA-2016-b7e8e980ef
mlist
  • [oss-security] 20160925 CVE-2016-7545 -- SELinux sandbox escape
  • [selinux] 20160923 [PATCH 2/2] sandbox: create a new session for sandboxed processes
sectrack 1037283
Last major update 20-01-2017 - 14:00
Published 19-01-2017 - 15:59
Last modified 04-01-2018 - 21:31
Back to Top